# Velocity Geometry
n1=380
n2=533
d1=0.015
d2=0.015
o1=0.3
o2=8.0

# Shots Geometry
sou_nx=24          # 0 means full source array
sou_ox=75 
sou_dx=15			# 0 means same spacing as velocity model
sou_z=75 				#(for cardamom)

# Receivers Geometry
rec_nx=380        # 0 means full receiver array
rec_ox=75
rec_dx=1        # 0 means same spacing as velocity model
rec_z=75

nh=1
oh=0.0

# Recording information
nt=1000 #2200
dt=0.004

# Imaging step skipping (in samples)
wfld_j=6

# Absorbing BC (in samples)
bc1=70
bc2=70
bc3=70
bc4=70


# RBF parameters
beta=0.15   	#0.15 # Higher is spiky, low is smooth
trad=15 			#21   # Radius of the RBF table # trad = SQRT(-LOG(threshold)/(beta**2))

